#!/bin/sh

awk '
	BEGIN {
		print "<?xml version=\"1.0\"?>"
		print "<svg xmlns=\"http://www.w3.org/2000/svg\">"
		scale = 1
		level = 0
	}

	function q(s)
	{
		return "\"" s "\""
	}

	{
#		spc=$0
#		sub("[^ ].*$", "", spc)
#		level = length(spc)*0
		size=$4
		sub("^calc=", "", size)
		split(size, S, "x")
		coord=$6
		split(coord, C, ";")
		if ($1 == "widget") {
			style="fill:rgb(200,255,200);stroke-width=1;stroke:rgb(0,0,0)"
			txt = $9
			sub("w=.", "", txt)
			sub(".$", "", txt)
			if (S[1] < S[2]) {
				tx = C[1]
				ty = C[2] + S[2]/2
				ttr = " transform=" q("rotate(90 " tx "," ty ")")
			}
			else {
				tx = C[1]
				ty = C[2] + S[2]
				ttr = ""
			}
		}
		else {
			style="fill:rgb(255,255,255);stroke-width=1;stroke:rgb(0,0,0)"
			txt = ""
		}

		print "<rect x=" q(C[1]*scale+level) " y=" q(C[2]*scale+level) " width=" q(S[1]*scale-level*2)" height=" q(S[2]*scale-level*2) " style=" q(style) "/>"
		if (txt != "")
			print "<text x=" q(tx*scale+level) " y=" q(ty*scale+level) ttr " font-size=" q(12) ">" txt "</text>"
	}

	END {
		print "</svg>"
	}

'